%define	rname	erc

Name:		emacs-erc
Summary: 	ERC is an IRC (Internet Relay Chat) client program for Emacs.
Version: 	4.0
Release: 	1mdk
License:	GPL
Group: 		Editors
Source: 	http://belnet.dl.sourceforge.net/sourceforge/erc/%{rname}-%{version}.tar.bz2
Url: 		http://emacswiki.org/cgi-bin/wiki.pl?EmacsIRCClient
Obsoletes:	erc
Provides:	erc = %version-%release
BuildRequires: 	emacs-bin
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%{expand:%%define emacs_version %(rpm -q emacs|sed 's/emacs-\([0-9].*\)-.*$/\1/')}

%description
ERC is an IRC client for Emacs/XEmacs. It supports multiple channel presence,
elaborate faces' setup, pals' list, and some other nice features. It's
capabilities should be sufficient for most of IRChatters.

%prep 
%setup -q -n %rname-%version

%build
rm -f erc-bbdb.el erc-chess.el erc-ibuffer.el erc-speak.el erc-speedbar.el
%make autoloads
%_bindir/emacs --no-init-file --no-site-file -batch -l `pwd`/erc-maint -f batch-byte-compile *.el

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install	*.el *.elc $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{rname}.el
(require 'erc-auto)
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog CREDITS HISTORY README
%_datadir/*/site-lisp/*el*
%config(noreplace) %_sysconfdir/emacs/site-start.d/erc.el

%changelog
* Tue Jul 20 2004 Pascal Terjan <pterjan@mandrake.org> 4.0-1mdk
- 4.0

* Sun Sep 07 2003 Pascal Terjan <CMoi@tuxfamily.org> 3.0-4mdk
- fix BuildRequires emacs -> emacs-bin

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0-3mdk
- rebuild for latest emacs

* Wed Jan 08 2003 Yves Duret <yves@zarb.org> 3.0-2mdk
- rebuild.

* Mon Dec 09 2002 Yves Duret <yves@zarb.org> 3.0-1mdk
- From: Pascal Terjan <CMoi@tuxfamily.org>
       * updated to 3.0

* Fri Dec 06 2002 Yves Duret <yves@zarb.org> 1.0-2mdk
- renamed emacs-erc (emacs policy!).
- use macro for file list.
- rpmlint fixes: config file, strange permission

* Fri Dec 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-1mdk 
- macroize
- some minor fix
- From Pascal Terjan <CMoi@tuxfamily.org>
	- First version

